Package ghidra.service.graph

# Class DefaultGraphDisplayOptions

java.lang.Object
ghidra.service.graph.GraphDisplayOptions
ghidra.service.graph.DefaultGraphDisplayOptions

All Implemented Interfaces:
  `OptionsChangeListener`

public class DefaultGraphDisplayOptions extends GraphDisplayOptions
Empty implementation of GraphDiaplayOptions. Used as an initial default to avoid null checks

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultGraphDisplayOptions()`

- ## Method Summary

  ### Methods inherited from class ghidra.service.graph.GraphDisplayOptions

  `addChangeListener, configureEdgeType, configureEdgeType, configureVertexType, configureVertexType, displayEditor, getArrowLength, getDefaultEdgeColor, getDefaultLayoutAlgorithmNameLayout, getDefaultVertexColor, getDefaultVertexShape, getEdgeColor, getEdgeColor, getEdgeColorOverrideAttributeKey, getEdgePriority, getEdgeSelectionColor, getFavoredEdgeType, getFont, getGraphType, getLabelPosition, getMaxNodeCount, getRootOptionsName, getVertexColor, getVertexColor, getVertexColorOverrideAttributeKey, getVertexLabel, getVertexLabelOverride, getVertexSelectionColor, getVertexShape, getVertexShape, getVertexShapeOverrideAttributeKey, initializeDefaults, initializeFromOptions, isRegisteredWithTool, optionsChanged, registerOptions, registerOptions, removeChangeListener, setArrowLength, setDefaultEdgeColor, setDefaultEdgeColor, setDefaultLayoutAlgorithmName, setDefaultVertexColor, setDefaultVertexColor, setDefaultVertexShape, setEdgeColor, setEdgeColor, setEdgeColorOverrideAttributeKey, setEdgeSelectionColor, setEdgeSelectionColor, setFavoredEdgeType, setFont, setFont, setLabelPosition, setMaxNodeCount, setUsesIcons, setVertexColor, setVertexColor, setVertexColorOverrideAttributeKey, setVertexLabelOverrideAttributeKey, setVertexSelectionColor, setVertexSelectionColor, setVertexShape, setVertexShapeOverrideAttributeKey, usesIcons`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultGraphDisplayOptions

    public DefaultGraphDisplayOptions()